Summary: Sieve plugin for dovecot
Name: dovecot-sieve
Version: 0.1.19
Release: 9.1%{?dist}
Epoch: 1
License: LGPL
Group: System Environment/Daemons
URL: http://pigeonhole.dovecot.org/
Source0: http://www.rename-it.nl/dovecot/1.2/dovecot-1.2-sieve-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dovecot-devel >= 1.2
BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++
BuildRequires: pkgconfig
BuildRequires: flex, bison
Requires: dovecot >= 1.2

%description
Sieve is a language that can be used to create filters for electronic
mail.

Dovecot Sieve is a fully rewritten Sieve implementation for Dovecot 
v1.2 and newer. The main reason for rewriting the Sieve engine was 
to provide more reliable script execution and to provide better 
error messages to users and system administrators. This 
implementation is part of the Pigeonhole project. 

**IMPORTANT NOTICE**
Read this before migrating from dovecot-sieve package:
http://wiki.dovecot.org/LDA/Sieve/Dovecot#Migration_from_CMUSieve

%package devel
Summary: Libraries and headers for %{name}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains development files for linking against %{name}.

%prep
%setup -q -n dovecot-1.2-sieve-%{version}

%build
# crude hack ...
sed -i -e's:have_dovecot_libs=no:have_dovecot_libs=yes:g' configure
sed -i -e's:dovecot_incdir=.*:dovecot_incdir=%{_includedir}/dovecot:' configure
for f in `find . -name 'Makefile.in'`;
do
    sed -i -e 's:-I\$(dovecot_incdir)/src:-I\$(dovecot_incdir):g' -e 's:\$(dovecot_incdir)/src\([a-z/\-]*\.a\):%{_libdir}/dovecot\1:g' $f
done
sed -i -e '/^\t\$(unused_objects)[ ]*\\$/d' src/sieve-tools/Makefile.in
sed -i -e '/^\t\$(unused_objects)[ ]*\\$/d' src/testsuite/Makefile.in

%configure --with-dovecot=%{_includedir}/dovecot \
  INSTALL_DATA="install -c -p -m644"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/dovecot/lda/*.a
# devel files
mkdir -p %{buildroot}%{_includedir}/dovecot/lib-sieve/
install -p -m644 dsieve-config.h %{buildroot}%{_includedir}/dovecot/
for f in sieve.h sieve-common.h sieve-config.h sieve-error.h sieve-error-private.h sieve-types.h sieve-script.h sieve-script-private.h sieve-settings.h; do
    install -p -m644 ./src/lib-sieve/$f %{buildroot}%{_includedir}/dovecot/lib-sieve
done
mkdir -p %{buildroot}%{_libdir}/dovecot/lib-sieve/
install -p -m644 ./src/lib-sieve/libsieve.la %{buildroot}%{_libdir}/dovecot/lib-sieve/
install -p -m644 ./src/lib-sieve/.libs/libsieve.a %{buildroot}%{_libdir}/dovecot/lib-sieve/
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_bindir}/sieved
%dir %{_libdir}/dovecot/lda
%{_libdir}/dovecot/lda/*.so
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_docdir}/dovecot-1.2-sieve

%files devel
%defattr(-,root,root,-)
%{_libdir}/dovecot/lda/*.la
%dir %{_libdir}/dovecot/lib-sieve
%{_libdir}/dovecot/lib-sieve/*.la
%{_libdir}/dovecot/lib-sieve/*.a
%dir %{_includedir}/dovecot/lib-sieve
%{_includedir}/dovecot/lib-sieve/*.h
%{_includedir}/dovecot/dsieve-config.h

%changelog
* Fri Sep  9 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.1.19-9
- Update to 0.1.19.

* Mon Oct 18 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.1.18-6
- Update to 0.1.18.

* Sun Jul  4 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.1.17-5
- Update to 0.1.17.

* Mon Jan 25 2010 Angel Marin <anmar@anmar.eu.org> - 1:0.1.15-4
- Update to 0.1.15.
- More Makefile fixups to make it build against dovecot-devel

* Wed Jan  6 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.1.14-3
- Rename package to dovecot-sieve (was dovecot-sieve-new).
- Make it "newer" than current versioning to allow proper upgrade paths.
- Some minor specfile fixes.

* Mon Dec 21 2009 Angel Marin <anmar@anmar.eu.org> - 0.1.14-2
- Update to 0.1.14.

* Thu Dec 17 2009 Angel Marin <anmar@anmar.eu.org> - 0.1.13-1
- first build
